org.keycloak.models.jpa.entities

## Class ClientInitialAccessEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.ClientInitialAccessEntity

-     @Entity
      public class ClientInitialAccessEntity
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected RealmEntity` | `realm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientInitialAccessEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `getCount()`
    `int` | `getExpiration()`
    `String` | `getId()`
    `RealmEntity` | `getRealm()`
    `int` | `getRemainingCount()`
    `int` | `getTimestamp()`
    `int` | `hashCode()`
    `void` | `setCount(int count)`
    `void` | `setExpiration(int expiration)`
    `void` | `setId(String id)`
    `void` | `setRealm(RealmEntity realm)`
    `void` | `setRemainingCount(int remainingCount)`
    `void` | `setTimestamp(int timestamp)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### realm

          protected RealmEntity realm

  - ### Constructor Detail

    - #### ClientInitialAccessEntity

          public ClientInitialAccessEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getTimestamp

          public int getTimestamp()

    - #### setTimestamp

          public void setTimestamp(int timestamp)

    - #### getExpiration

          public int getExpiration()

    - #### setExpiration

          public void setExpiration(int expiration)

    - #### getCount

          public int getCount()

    - #### setCount

          public void setCount(int count)

    - #### getRemainingCount

          public int getRemainingCount()

    - #### setRemainingCount

          public void setRemainingCount(int remainingCount)

    - #### getRealm

          public RealmEntity getRealm()

    - #### setRealm

          public void setRealm(RealmEntity realm)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2020 JBoss by Red Hat. All rights reserved.